package com.zaojiao.app.feat.settings

import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavOptions
import androidx.navigation.compose.composable
import com.zaojiao.app.core.nav.LJGNavigator

const val settingsIndex = "/settings/index"

fun LJGNavigator.toSettingsIndex(navOptions: NavOptions? = null) {
    this.navigate(settingsIndex)
}

fun NavGraphBuilder.settingRoute() {
    composable(route = settingsIndex) { SettingsIndexRoute() }
}